Subject: bug#31305: 27.0.50; Symlinks recognized as dirs

From: Stefan Kangas <[email-masked]>
Date: Sat, 28 Sep 2019 20:10:04 +0200

Paul Eggert <[email-masked]> writes:

> On 05/18/2018 03:22 AM, David Caldwell wrote:
>> $ src/emacs -Q -batch -eval '(message "%S" (file-name-completion "pass"
>> "."))'
>> "passwd"
>
> Thanks for checking that it works on OS X 10.10.
>
>> Since this doesn't seem to match your hypothesis, do you still want me
>> to try it with the "/./" patch you sent?
>
> I wouldn't bother. If the bug is fixed in OS X 10.10 and Apple itself doesn't
> support older systems, then we shouldn't need to worry about this bug
> upstream. I suggest building Emacs for OS X 10.10, recommending 10.10 (or later)
> builds to users, and warning that there may be glitches if people use builds for
> older systems. To document this I installed the attached into the emacs-26
> branch.
>
>>>From ad74c608988dc855f74e45ac2f2c2e5082019719 Mon Sep 17 00:00:00 2001
> From: Paul Eggert <[email-masked]>
> Date: Fri, 18 May 2018 09:24:04 -0700
> Subject: [PATCH] * etc/PROBLEMS: Document Bug#31305.
>
> ---
>  etc/PROBLEMS | 9 +++++++++
>  1 file changed, 9 insertions(+)
>
> diff --git a/etc/PROBLEMS b/etc/PROBLEMS
> index 1f7fe00bd6..09027332d8 100644
> --- a/etc/PROBLEMS
> +++ b/etc/PROBLEMS
> @@ -3213,6 +3213,15 @@ them to DOS 8+3 limits.  To be useful on NT, the MSDOS port of Emacs
>  must be unzipped by a DOS utility, so that long file names are
>  properly truncated.
>
> +** Apple Macintosh operating systems
> +
> +*** OS X 10.9 and earlier: symlinks autocomplete as directories
> +
> +Autocompleting the name of a symbolic link incorrectly appends "/".
> +Building and running Emacs on OS X 10.10 (or later) fixes the problem.
> +Older operating systems are no longer supported by Apple.
> +https://bugs.gnu.org/31305
> +
>  ** Archaic window managers and toolkits
>
>  *** Open Look: Under Open Look, the Emacs window disappears when you type M-q.

Let's see if I read this discussion correctly:

1. We don't support macOS older than 10.10.  (Perhaps that should be
   10.11 once 10.15 is released in October?)

2. This bug doesn't manifest itself on macOS 10.10 or later.

So is there anything left to do here?  If the above two points are true,
then I guess this should be closed as wontfix?

Best regards,
Stefan Kangas